/**
 * Created by Tobi Stockinger on 02/12/14.
 */
var express = require('express');
var app = express();
var router = express.Router();


// view engine setup

// this tells the template engine to look for views in the
// current directory.
app.set('views', process.cwd());

// set jade as template engine.
app.set('view engine', 'jade');


router.get('/',function(req,res){
    var renderingParameters = {
        title : 'Some Fancy Title',
        content : 'This is very interesting'
    };
    res.render('06_template-Solution', renderingParameters);
});

app.use(router); // or app.use('/',router);

var server = app.listen(3000, function () {
    var host = server.address().address;
    var port = server.address().port;
    console.log('Example app listening at http://%s:%s',
        host, port)
});
