/**
 * Created by Tobi Stockinger on 29/11/14.
 */
var express = require('express');
var app = express();
var router = express.Router();

// This is necessary to process requests that have a payload = parameters.
var bodyParser = require('body-parser');
app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: false }));

router.get('/',function(req,res){

    res.send('Homepage');
});

router.get('/about',function(req,res){
    res.send('About Page');
});

router.post('/myPostRoute',function(request,response){
    console.log(request.body);
    response.json(request.body);
});

app.use(router); // or app.use('/',router);

var server = app.listen(3000, function () {
    var host = server.address().address;
    var port = server.address().port;
    console.log('Example app listening at http://%s:%s',
        host, port)
});
